VDL, Finale 2007 and Kontakt 2 issues.

";This patch was generated by a newer version of Kontakt. Please upgrade your copy to load the patch."; appears when trying to load VDL sounds into Kontakt in Finale 2007.
I have the proper version of Kontakt 2 (2.1.1.5,  as suggested in the FAQ).
I have updated to FinaleC (as suggested in FAQ).
The VDL sounds will load into Kontakt outside of Finale 2007.
Running on a Windows Vista Home Premium machine, Intel Core 2 Duo @1.83 GHz, 64-bit.

Thank you for any insight.
Glad to hear it Dylan, and thanks for sharing your fix. I'm sure it'll help others who run into the same snag in the future.
Yes, and even deleted and reinstalled the whole of Kontakt 2 and the update, no go.
But, after sitting down with my pad it dawned on me that i copied the 64bit Kontakt3.dll into Finale VST, not the 32bit.
The 32bit shows up in Finale and works like a charm.

Thanks, Jim Tyler and Bryan!
Have you tried deleting the existing .dll file (from the Finale VST folder) then copying it?
Okay, ran the VDL 2.5.1 update and it upgraded Kontakt to 2.2.4, but the .dll file version is still 2.1.1 (explains why i can't open the files inside Finale, but i can outside)
So i went back to the NI page and downloaded Kontakt 3 and copied the .dll file into the Finale VST folder, but it isn't showing up when i try to open it in Finale with the VDL template.
If the Service Center isn't cooperating, you should also be able to access the same downloads by going to the NI website, logging into your account there, then locating the ";updates"; link. I'm not sure what may be wrong with the Service Center, but maybe you'll have more luck via the web.
Having some troubles with the NI service center, the 2.2.4 update is stuck at 0%.
I'll try to figure out what the problem is and afterwards complete your suggestion.
If you haven't already, I'd suggest running the NI Service Center program and downloading the VDL 2.5.1 update. This will update your Kontakt Player to version 2.2.4.

Once you've done this, locate the KontaktPlayer2.dll file that TylerDurden mentioned earlier at:
[b]C:\Program Files\Native Instruments\Kontakt Player 2\VSTPlugins[/b]

If you check the properties of this file, it might be a good idea to verify that this file is now showing as version 2.2.4. If it is, repeat steps 4-7 outlined by TylerDurden in the previous post. Be sure Finale 2007 is not active while you perform this copy/paste.

Basically, the error you've been seeing has to do with an older version of the KP2 plugin trying to access sounds which were programmed from a new version of Kontakt. This can happen since various programs come with different (newer/older) versions of Kontakt Player (i.e. Finale 2007 shipped with a different version of KP2 than VDL 2.5 did). As such, it sometimes requires you to update the [i]plug-in[/i] version of the player (the .dll file mentioned above) in addition to the standalone version.

Hope this helps!
Yes, the same error comes up-
and thank you for responding so quickly, I appreciate it.
Hi Dylan,

1) Close Finale then navigate to the following location:
[b]
C:\Program Files\Finale 2007\FinaleVST[/b]

2) Locate the file named [b]KontaktPlayer2.dll[/b].  Drag this file to the trash.

3) Navigate to the following location:
[b]
C:\Program Files\Native Instruments\Kontakt Player 2\VSTPlugins[/b]

4) Locate the [b]KontaktPlayer2.dll[/b] file here.  Right-click on the file and choose Copy.

5) Navigate back to the following location:
[b]
C:\Program Files\Finale 2007\FinaleVST[/b]

6) Right-click on some open space in the folder and choose Paste.

7) Launch Finale 2007 and try to use VDL.

Do you get the same error?
Login or Signup to post a comment